The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

spamassassin modified score problem

Discussion in 'General Discussion' started by hicom, May 10, 2005.

  1. hicom

    hicom Well-Known Member

    Joined:
    May 23, 2003
    Messages:
    272
    Likes Received:
    0
    Trophy Points:
    16
    Hi,

    I'm having problem with Spamassassin score. It works all fine, but if the user defines in their cPanel a score other than 5, disable and re-enable spamassassin, it mentions the score has been updated.

    I can also see it in the user's /usr_pref file the updated score. But when mail comes in, it is still tagged at the old score. This happens to all the accounts on the same box.

    We're using latest cPanel with SA 3. Mind you, I had to reinstall SA couple of times from source and do force perl installation for SA when cPanel had the update problems.

    How can I go about relinking cPanel with SA again ?

    I tried all the files in /script/ related to spam, but no luck.

    Thx,

    Tamouh
     
  2. hicom

    hicom Well-Known Member

    Joined:
    May 23, 2003
    Messages:
    272
    Likes Received:
    0
    Trophy Points:
    16
    Actually, let me correct something. Even though cPanel shows it is version 3.03, when I check the email header it shows:

    X-Spam-Checker-Version: SpamAssassin 2.63 (2004-01-11) on
    server.domain.com
    X-Spam-Level: **
    X-Spam-Status: No, hits=2.5 required=5.0 tests=RAZOR2_CF_RANGE_51_100,
    RAZOR2_CHECK autolearn=no version=2.63
     
  3. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    Looks like you haven't prevented your OS from upgrading their version of spamassassin (you should exclude it in yum or up2date or whatever you use).

    to fix:

    /scripts/fixspamassassinfailedupdate

    If that doesn't reinstall SpamAssassin, do th following:

    /scripts/perlinstaller --force Mail::SpamAssassin
     
  4. hicom

    hicom Well-Known Member

    Joined:
    May 23, 2003
    Messages:
    272
    Likes Received:
    0
    Trophy Points:
    16
    Thanks for the reply.

    I actually did try force spamassassin install, and it went fine successfully.

    Then I went to tweak settings in WHM, disbled spamassassin and then re-enabled it.

    But it continued the same problem, in the mail header it is displaying the old version.

    I did:

    server# spamassassin -V
    SpamAssassin version 3.0.3
    running on Perl version 5.8.5

    But mail header showing 2.6.3 grrr. And whenever I update the scores for a user, it doesn't reflect the new changes and keeps tagging mail @ 5.0. As if there are two different processes running of spam!!

    server# ps -aux |grep spam
    root 45588 0.0 1.0 21624 20636 ?? Is Mon10PM 0:28.58 /usr/bin/spamd -d --allowed-ips=127.0.0.1 --pidfile=/var/run/


    I tried running /scripts/spamassassin-cpanel for overnight, but it did nothing. stayed at the same screen blinking cursor, so I terminated it.

    what do you think ?
     
    #4 hicom, May 11, 2005
    Last edited: May 11, 2005
  5. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    OK,

    Try this instead:

    rpm -e spamassassin
    /scripts/fixspamassassinfailedupdate
     
  6. hicom

    hicom Well-Known Member

    Joined:
    May 23, 2003
    Messages:
    272
    Likes Received:
    0
    Trophy Points:
    16
    server# rpm -e spamassassin
    failed to open /var/lib/rpm/packages.rpm: No such file or directory

    error: cannot open /var/lib/rpm/packages.rpm


    Forgot to mention this is FreeBSD 4.10
     
  7. hicom

    hicom Well-Known Member

    Joined:
    May 23, 2003
    Messages:
    272
    Likes Received:
    0
    Trophy Points:
    16
    Here is another error in the all.log regarding spamassassin:

    May 11 05:04:10 server spamd[52359]: Cannot open bayes databases /usr/home/username/.spamassassin/bayes_* R/O: tie failed: Ina
     
  8. hicom

    hicom Well-Known Member

    Joined:
    May 23, 2003
    Messages:
    272
    Likes Received:
    0
    Trophy Points:
    16
    I think I'm getting close, I deleted bayes_* and then disabled/enabled spamassassin for the user, it did recreate them back in. But still old version and not tagging according to the correct score.

    But this is what i'm getting now in all.log :

    May 11 13:19:38 server spamd[64698]: Use of uninitialized value in concatenation (.) or string at /usr/lib/perl5/site_perl/5.6
    May 11 13:19:38 server spamd[64698]: Use of uninitialized value in numeric gt (>) at /usr/lib/perl5/site_perl/5.6.1/Mail/SpamA
    May 11 13:19:38 server spamd[64698]: Use of uninitialized value in numeric lt (<) at /usr/lib/perl5/site_perl/5.6.1/Mail/SpamA
    May 11 13:19:38 server spamd[64698]: Use of uninitialized value in numeric lt (<) at /usr/lib/perl5/site_perl/5.6.1/Mail/SpamA
    May 11 13:19:38 server spamd[64698]: Use of uninitialized value in concatenation (.) or string at /usr/lib/perl5/site_perl/5.6

    Perl 5.6 !!!!!! I'm running 5.8.5 , where did this 5.6 comes from !!
     
    #8 hicom, May 11, 2005
    Last edited: May 11, 2005
  9. hicom

    hicom Well-Known Member

    Joined:
    May 23, 2003
    Messages:
    272
    Likes Received:
    0
    Trophy Points:
    16
    Anyone please ?

    I'd like to get this fixed. I'm willing to pay to fix the spamassassin libraries. Let me know your quote.
     
  10. AndyReed

    AndyReed Well-Known Member
    PartnerNOC

    Joined:
    May 29, 2004
    Messages:
    2,222
    Likes Received:
    3
    Trophy Points:
    38
    Location:
    Minneapolis, MN
  11. hicom

    hicom Well-Known Member

    Joined:
    May 23, 2003
    Messages:
    272
    Likes Received:
    0
    Trophy Points:
    16
    I got the problem fixed. Thanks every1 for the help!

    I had to ln -s most of the old site_perl which caused spamassassin to be completely messed up and then reinstalled spamassassin and lastly ran /scripts/upcp --force and it updated to the correct libraries!
     
Loading...
Similar Threads - spamassassin modified score
  1. sandstorm
    Replies:
    2
    Views:
    276

Share This Page